\section{Evaluating Our Methods}

\begin{frame}{Statistics}
\begin{figure}
	\centering
	\begin{tikzpicture}[yscale=0.75, xscale=0.75]
	\begin{axis}[
	xlabel=$How\ Many\ Synonyms?$,
	ylabel=$How\ Often?$, 
	cycle list name=exotic,
	ylabel near ticks,
	width=\textwidth,
	height=9cm,
	xmin=0,
	xmax=300,
	ymin=0,
	ymax=1000]
	\addplot +[mark size=\sizelines] file{Data/totalcountopt0.txt};
	\addlegendentry{\unsyn}
	
	\addplot +[mark size=\sizelines] file{Data/totalcountopt1.txt};
	\addlegendentry{\unsynsim}
	
	\addplot +[mark size=\sizelines] file{Data/totalcountopt2.txt};
	\addlegendentry{\unsynsyn}
	
	\addplot +[mark size=\sizelines] file{Data/totalcountopt3.txt};
	\addlegendentry{\unsynsynsim}
	
	\addplot +[mark size=\sizelines] file{Data/totalcountopt4.txt};
	\addlegendentry{\spacya}
	
	\addplot +[mark size=\sizelines] file{Data/totalcountopt5.txt};
	\addlegendentry{\spacyone}
	
	\addplot +[mark size=\sizelines] file{Data/totalcountopt6.txt};
	\addlegendentry{\spacytwo}
	
	\addplot +[mark size=\sizelines] file{Data/totalcountopt7.txt};
	\addlegendentry{SpacyInter}
	
	\addplot +[mark size=\sizelines] file{Data/totalcountopt8.txt};
	\addlegendentry{SpacyDocs}
	\end{axis}
	\end{tikzpicture}
\end{figure}
\begin{center}
	The methods that produce the most synonyms are the ones that\\ take into account context in a symmetric fashion
\end{center}
\end{frame}

\begin{frame}{Ground Truth}
Based on a questionnaire assessed by 40 people:\\
\hspace*{5mm}\bul Questions about the participant (age, sex)\\
\hspace*{5mm}\bul 100 questions about synonyms
\begin{center}
\small
\begin{tikzpicture}
\draw[] (0,0) rectangle ++(9.3,\hfigf);
\node [align=left, text width = 9.2cm] at (4.8,\hfigone) {\textbf{Do you think that STUNNING LOCATION is similar to BEAUTIFUL LOCATION?}};
\node [label=above:1,draw,circle,inner sep=0pt,minimum size=7pt] at (2.8,\hfigtwo) {};
\node [label=above:2,draw,circle,inner sep=0pt,minimum size=7pt] at (3.8,\hfigtwo) {};
\node [label=above:3,draw,circle,inner sep=0pt,minimum size=7pt] at (4.8,\hfigtwo) {};
\node [label=above:4,draw,circle,inner sep=0pt,minimum size=7pt] at (5.8,\hfigtwo) {};
\node [label=above:5,draw,circle,inner sep=0pt,minimum size=7pt] at (6.8,\hfigtwo) {};
\node [align=center] at (1.2,\hfigtwo) {Not similar\\at all};
\node [align=center] at (8.3,\hfigtwo) {Very similar};
\end{tikzpicture}
\end{center}
\hspace*{5mm}\bul 10 questions about scales
\begin{center}
\begin{tikzpicture}
\draw[] (0,0) rectangle ++(9,3);
\node [align=left, text width = 9cm] at (4.7,2.5) {\textbf{Which of the two scales do you think is more convincing for the adjective FRIENDLY?}};
\node [draw,circle,inner sep=0pt,minimum size=7pt] at (0.35,1.7) {};
\node [draw,circle,inner sep=0pt,minimum size=7pt] at (0.35,0.7) {};
\node [align=left, text width = 8.5cm] at (4.82,1.47) {\synsize \scale{welcoming, inhospitable, unhelpful, unaccommodating, arrogant, friendly, hospitable, cordial, sociable, polite}};
\node [align=left, text width = 8.5cm] at (4.84,0.46) {\synsize \scale{hostile, horrifying, unfriendly, rude, friendly, courteous, welcoming, friendlier, delightful, friendliest}};
\end{tikzpicture}
\end{center}
\end{frame}


\begin{frame}{Evaluation on Ground Truth}
\small
\begin{center}
\begin{tabular}{c c c c c}
	\toprule
	\textbf{Method} & \multicolumn{1}{c}{\unsyn} & \multicolumn{1}{c}{\unsynsim} & \multicolumn{1}{c}{\unsynsyn} & \multicolumn{1}{c}{\unsynsynsim}\\
	\midrule
	\textbf{Precision} & 0.5 & 0.89 & 0.25 & 0.69 \vspace{0.3em}\\
	
	\textbf{Recall} & 0.02 & 0.18 & 0.02 & 0.2 \vspace{0.3em}\\
	
	\textbf{F-Score} & 0.04 & 0.3 & 0.04 & 0.31\\
	\bottomrule
\end{tabular}\\
\vspace*{1em}
\begin{tabular}{c c c c c c}
	\toprule
	\textbf{Method} & \multicolumn{1}{c}{\spacya} & \multicolumn{1}{c}{\spacyone} & \multicolumn{1}{c}{\spacytwo} & \multicolumn{1}{c}{\spacyinter} & \multicolumn{1}{c}{\spacydocs}\\
	\midrule
	\textbf{Precision} & 0.89 & 0.83 & 0.49 & 0 & 0.48 \vspace{0.3em}\\
	
	\textbf{Recall} & 0.18 & 0.11 & 0.96 & 0 & 0.93 \vspace{0.3em}\\ 
	
	\textbf{F-Score}  & 0.3 & 0.2 & 0.64 & 0 & 0.63 \\
	\bottomrule
\end{tabular}
\vspace{0.2em}

\footnotesize Threshold for similarity in ground truth: $\varnothing$ of Likert scale $\geq 3.5$\\
Threshold for similarity in \spacy: Cosine Similarity $\geq 0.7$\\
\vspace*{2em}
\large \wordvec vs. \sentiwordnet scales: 50\% vs. 50\%
\end{center}
\end{frame}
